## Generated SDC file "RevA.out.sdc"

## Copyright (C) 1991-2012 Altera Corporation
## Your use of Altera Corporation's design tools, logic functions 
## and other software and tools, and its AMPP partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Altera Program License 
## Subscription Agreement, Altera MegaCore Function License 
## Agreement, or other applicable license agreement, including, 
## without limitation, that your use is for the sole purpose of 
## programming logic devices manufactured by Altera and sold by 
## Altera or its authorized distributors.  Please refer to the 
## applicable agreement for further details.


## VENDOR  "Altera"
## PROGRAM "Quartus II"
## VERSION "Version 12.0 Build 178 05/31/2012 SJ Web Edition"

## DATE    "Mon Oct 06 09:55:05 2014"

##
## DEVICE  "10M08SAU169C8"
##


#**************************************************************
# Time Information
#**************************************************************

set_time_format -unit ns -decimal_places 3



#**************************************************************
# Create Clock
#**************************************************************

#create_clock -name {altera_reserved_tck} -period 100.000 -waveform { 0.000 50.000 } [get_ports {altera_reserved_tck}]
create_clock -name {CLK} -period 10.000 -waveform { 0.000 5.000 } [get_ports {CLKIN}]
derive_clocks -period 10.000 -waveform {0.000 5.000}

#**************************************************************
# Create Generated Clock
#**************************************************************
create_generated_clock -name {sck} -source {CLKIN} [get_ports {SCKA_33}]
create_generated_clock -name {sckb} -source {CLKIN} [get_ports {SCKB_33}]
create_generated_clock -name {data_latch} -source {CLKIN} [get_ports {CLKOUT}]


#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************
derive_clock_uncertainty
#set_clock_uncertainty -rise_from [get_clocks {CLK}] -fall_to [get_clocks {CLK}]  0.020  
#set_clock_uncertainty -fall_from [get_clocks {CLK}] -rise_to [get_clocks {CLK}]  0.020  
#set_clock_uncertainty -fall_from [get_clocks {CLK}] -fall_to [get_clocks {CLK}]  0.020
#set_clock_uncertainty -rise_from [get_clocks {CLK}] -rise_to [get_clocks {CLK}]  0.020  
#set_clock_uncertainty -rise_from [get_clocks {sck}] -rise_to [get_clocks {sck}]  0.020  
#set_clock_uncertainty -rise_from [get_clocks {sck}] -fall_to [get_clocks {sck}]  0.020  
#set_clock_uncertainty -fall_from [get_clocks {sck}] -rise_to [get_clocks {sck}]  0.020  
#set_clock_uncertainty -fall_from [get_clocks {sck}] -fall_to [get_clocks {sck}]  0.020  
#set_clock_uncertainty -rise_from [get_clocks {sckb}] -rise_to [get_clocks {sckb}]  0.020  
#set_clock_uncertainty -rise_from [get_clocks {sckb}] -fall_to [get_clocks {sckb}]  0.020  
#set_clock_uncertainty -fall_from [get_clocks {sckb}] -rise_to [get_clocks {sckb}]  0.020  
#set_clock_uncertainty -fall_from [get_clocks {sckb}] -fall_to [get_clocks {sckb}]  0.020 
#set_clock_uncertainty -rise_from [get_clocks {altera_reserved_tck}] -rise_to [get_clocks {altera_reserved_tck}]  0.020  
#set_clock_uncertainty -rise_from [get_clocks {altera_reserved_tck}] -fall_to [get_clocks {altera_reserved_tck}]  0.020  
#set_clock_uncertainty -fall_from [get_clocks {altera_reserved_tck}] -rise_to [get_clocks {altera_reserved_tck}]  0.020  
#set_clock_uncertainty -fall_from [get_clocks {altera_reserved_tck}] -fall_to [get_clocks {altera_reserved_tck}]  0.020  
#set_clock_uncertainty -rise_from [get_clocks {CLK}] -rise_to [get_clocks {sck}]  0.040  
#set_clock_uncertainty -rise_from [get_clocks {CLK}] -fall_to [get_clocks {sck}]  0.040  
#set_clock_uncertainty -fall_from [get_clocks {CLK}] -rise_to [get_clocks {sck}]  0.040  
#set_clock_uncertainty -fall_from [get_clocks {CLK}] -fall_to [get_clocks {sck}]  0.040  
#set_clock_uncertainty -rise_from [get_clocks {sck}] -rise_to [get_clocks {CLK}]  0.040  
#set_clock_uncertainty -rise_from [get_clocks {sck}] -fall_to [get_clocks {CLK}]  0.040  
#set_clock_uncertainty -fall_from [get_clocks {sck}] -rise_to [get_clocks {CLK}]  0.040  
#set_clock_uncertainty -fall_from [get_clocks {sck}] -fall_to [get_clocks {CLK}]  0.040  
#set_clock_uncertainty -rise_from [get_clocks {CLK}] -rise_to [get_clocks {sckb}]  0.040  
#set_clock_uncertainty -rise_from [get_clocks {CLK}] -fall_to [get_clocks {sckb}]  0.040  
#set_clock_uncertainty -fall_from [get_clocks {CLK}] -rise_to [get_clocks {sckb}]  0.040  
#set_clock_uncertainty -fall_from [get_clocks {CLK}] -fall_to [get_clocks {sckb}]  0.040  
#set_clock_uncertainty -rise_from [get_clocks {sckb}] -rise_to [get_clocks {CLK}]  0.040  
#set_clock_uncertainty -rise_from [get_clocks {sckb}] -fall_to [get_clocks {CLK}]  0.040  
#set_clock_uncertainty -fall_from [get_clocks {sckb}] -rise_to [get_clocks {CLK}]  0.040  
#set_clock_uncertainty -fall_from [get_clocks {sckb}] -fall_to [get_clocks {CLK}]  0.040  

#**************************************************************
# Set Input Delay
#**************************************************************




#**************************************************************
# Set Output Delay
#**************************************************************
set_output_delay -add_delay -max -clock [get_clocks {CLK}]  5.000 [get_ports {SCKA_33}]

set_output_delay -add_delay -min -clock [get_clocks {CLK}]  2.000 [get_ports {SCKA_33}]


set_output_delay -add_delay -max -clock [get_clocks {CLK}]  5.000 [get_ports {SCKB_33}]

set_output_delay -add_delay -min -clock [get_clocks {CLK}]  2.000 [get_ports {SCKB_33}]


set_output_delay -add_delay -max -clock [get_clocks {CLK}]  6.000 [get_ports {CLKOUT}]

set_output_delay -add_delay -min -clock [get_clocks {CLK}]  4.000 [get_ports {CLKOUT}]

set_output_delay -add_delay -max	-clock	[get_clocks {CLK}] 5.000 [get_ports {DB*}]

set_output_delay -add_delay -min	-clock	[get_clocks {CLK}] 4.000 [get_ports {DB*}]

#**************************************************************
# Set Clock Groups
#**************************************************************

#set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}] 


#**************************************************************
# Set False Path
#**************************************************************



#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************

